#
# spec file for package yast2-vpn
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-vpn
Version:        5.0.0
Release:        1.4
URL:            https://github.com/yast/yast-vpn
Source0:        %{name}-%{version}.tar.bz2
Summary:        A YaST module for configuring VPN gateway and clients
License:        GPL-2.0-only
Group:          System/YaST

# CFA::SysctlConfig
BuildRequires:  yast2 >= 4.2.67
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-ruby-bindings
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)

PreReq:         %fillup_prereq

# CFA::SysctlConfig
Requires:       yast2 >= 4.2.67
Requires:       yast2-ruby-bindings

Supplements:    autoyast(vpn)

BuildArch:      noarch

%description
A YaST module for managing VPN gateway and client connections to secure site-to-site communication via IPSec VPN.

%prep
%setup -q

%check
%yast_check

%build

%install
%yast_install
%yast_metainfo

%files
%doc %{yast_docdir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_moduledir}
%{yast_clientdir}
%{yast_schemadir}
%{yast_libdir}
%{yast_scrconfdir}
%{yast_icondir}

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Wed Apr  5 2023 Mohd Saquib <mohd.saquib@suse.com>
- Fixed an issue where yast2-vpn module breaks when strongswan is
  updated to version >= 5.8.0 (boo#1176735)
- 4.6.1
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Tue Sep  6 2022 David Mulder <dmulder@suse.com>
- Place file selection buttons at the bottom (bnc#1085625).
- 4.5.1
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Tue Aug 11 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(vpn) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.0
* Wed Feb 26 2020 schubi@suse.de
- Using SysctlConfig class: Handle sysctl entries in different
  directories (bsc#1151649).
- 4.2.4
* Fri Oct  4 2019 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Write sysctl settings to a file under /etc/sysctl.d (jsc#SLE-9077).
- 4.2.3
* Mon Aug 26 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.2
* Fri Jul 19 2019 David Diaz <dgonzalez@suse.com>
- Added "BuildRequires: update-desktop-files"
- Related to the previous desktop file changes (fate#319035)
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Tue Feb 26 2019 José Iván López González <jlopez@suse.com>
- Version bump (bsc#1124009)
- 4.1.0
* Mon Nov 26 2018 Noah Davis <noahadvs@gmail.com>
- Provide icon with module (boo#1109310)
- 4.0.1
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Thu May 18 2017 howard@suse.de
- Fix a minor error in translation string on main dialog.
  (bsc#1038440)
  Bump version to 3.1.6.
* Tue Oct 18 2016 hguo@suse.com
- The fix of bsc#1002744 was slightly faulty and causes VPN to
  continuelly overwrite user's firewall script, it also introduced
  a regression making it unable to turn off TCP MSS reduction.
  This update 3.1.5 addresses both issues.
* Mon Oct 10 2016 hguo@suse.com
- Instead of creating its own firewall custom-rules, put firewall
  commands into user's own custom-rules file.
  Bump version to 3.1.4 for bsc#1002744.
* Mon Oct  3 2016 igonzalezsosa@suse.com
- Fix translation in the connection status dialog (bsc#994349)
* Thu Mar 24 2016 hguo@suse.com
- Fix several important issues:
  * Properly reduce TCP MSS instead of setting it to a fixed value.
  * Force UDP encapsulation in case of IPv4 gateway.
  * Fix two cases of incorrect SUSEfirewall and iptables configuration.
  Further implements fate#320616.
* Tue Oct 27 2015 hguo@suse.com
- Fix build failure on Leap.
* Mon Sep  7 2015 hguo@suse.com
- Display a warning if ipsec.conf or ipsec.secrets appear to have
  been manually manipulated.
* Fri Jul 17 2015 hguo@suse.com
- New package. Initial version, initial release.
  yast2-vpn: A module for creating VPN gateway and client connections
  to secure site-to-site communication via IPSec VPN.
